### Method

# GLib Queue index

since: 2.4

#### Declaration [src]

    gint
    g_queue_index (
      GQueue* queue,
      gconstpointer data
    )

#### Description [src]

Returns the position of the first element in `queue` which contains `data`.

Available since: 2.4

#### Parameters

`data`

  Type: `gconstpointer`

  The data to find.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gint`

The position of the first element in `queue` which contains `data`, or -1 if no element in `queue` contains `data`.